Page MenuHomePhabricator

[ms] [llvm-ml] Support purging macro definitions
ClosedPublic

Authored by epastor on Oct 19 2020, 2:01 PM.

Details

Summary

Support MASM's PURGE directive.

Diff Detail

Event Timeline

epastor created this revision.Oct 19 2020, 2:01 PM
Herald added a project: Restricted Project. · View Herald TranscriptOct 19 2020, 2:01 PM
epastor requested review of this revision.Oct 19 2020, 2:01 PM

Can you add a test for the comma variant?

llvm/lib/MC/MCParser/MasmParser.cpp
5565

Why do we accept an optional EndOfStatement after every comma?

thakis requested changes to this revision.Nov 2 2020, 4:26 PM
This revision now requires changes to proceed.Nov 2 2020, 4:26 PM
epastor updated this revision to Diff 302850.Nov 4 2020, 8:13 AM
epastor marked an inline comment as done.

Add testing for list invocation of PURGE

llvm/lib/MC/MCParser/MasmParser.cpp
5565

MASM specifies that in list contexts, a trailing comma implies a line continuation... but only in list contexts.

thakis accepted this revision.Nov 4 2020, 11:30 AM
This revision is now accepted and ready to land.Nov 4 2020, 11:30 AM
epastor updated this revision to Diff 303168.Nov 5 2020, 10:32 AM

Rebase on HEAD

epastor updated this revision to Diff 307129.Nov 23 2020, 11:19 AM

Rebase to HEAD

This revision was landed with ongoing or failed builds.Nov 23 2020, 12:03 PM
This revision was automatically updated to reflect the committed changes.